### Eclipse Workspace Patch 1.0
#P xmas-core
Index: dsp.layoutobject.cfm
===================================================================
--- dsp.layoutobject.cfm	(revision 3542)
+++ dsp.layoutobject.cfm	(working copy)
@@ -17,128 +17,128 @@
 	<title>Form Layout</title>
 	
 	<script type="text/javascript">
-        var id = '<cfoutput>#id#</cfoutput>';
+		var id = '<cfoutput>#id#</cfoutput>';
 
 		var mask = new Ext.LoadMask(Ext.getBody(), {msg: 'Fetching details, please wait...'});
 		mask.show();
 
-        var onSubmit = {
-            url: url,
-            params : {uidEvent:uidEvent, method: 'saveFormBean'},
-            success: function (form, action) {
-                updateFormLayout(action.result.data);
-            },
-            failure: function (form, action) {
-                Ext.Msg.alert('Status', "failure");
-            },
-            waitMsg: 'Please wait while we save your changes...',
-            waitTitle: 'Form Layout Update',
-            clientValidation: false
-        };
+		var onSubmit = {
+			url: url,
+			params : {uidEvent:uidEvent, method: 'saveFormBean'},
+			success: function (form, action) {
+				updateFormLayout(action.result.data);
+			},
+			failure: function (form, action) {
+				Ext.Msg.alert('Status', "failure");
+			},
+			waitMsg: 'Please wait while we save your changes...',
+			waitTitle: 'Form Layout Update',
+			clientValidation: false
+		};
 
 
-        var simple;
-        Ext.app.UserSelectionDialog = Ext.extend(Ext.Window, {
-            title: 'User Selection',
-            width: 280,
-            height: 300,
-            closable: false,
-            layout: 'fit',
-            buttonAlign: 'center',
-            currentNodeId: '',
-            root: new Ext.tree.AsyncTreeNode({draggable:false, expanded:false}),
-            initComponent: function() {
-                Ext.app.UserSelectionDialog.superclass.initComponent.call(this);
+		var simple;
+		Ext.app.UserSelectionDialog = Ext.extend(Ext.Window, {
+			title: 'User Selection',
+			width: 280,
+			height: 300,
+			closable: false,
+			layout: 'fit',
+			buttonAlign: 'center',
+			currentNodeId: '',
+			root: new Ext.tree.AsyncTreeNode({draggable:false, expanded:false}),
+			initComponent: function() {
+				Ext.app.UserSelectionDialog.superclass.initComponent.call(this);
 
-                var cid = this.currentNodeId;
-                this.treePanel = new Ext.tree.TreePanel({
-                    autoScroll:true,
-                    animate:true,
-                    containerScroll:true,
-                    rootVisible: false,
-                    root: this.root,
-                    selModel: new Ext.tree.DefaultSelectionModel({
-                        listeners: {
-                            selectionchange : function (selectionModel, node) {
-                                var message = node.text;
-                                var id = node.id;
-                                setMessageBoxValue(id,message);
-                                dialog.hide();
-                            }
-                        }
-                    }),
-                    listeners: {
-                        load: function (node) {
-                            node.expand(true);
-                            var filter = new Ext.tree.TreeFilter(this);
-                            filter.filterBy(function(node) {
-                                if(cid == node.id) return false;
-                                return true;
-                            });
-                        }
-                    }
-                });
-                this.add(this.treePanel);
-                
-                var closeButton = new Ext.Button({
-                    text:'Close',
-                    scope:this,
-                    minWidth:75,
-                    handler:this.onClose
-                });
-                this.addButton(closeButton);
-            },
-            onClose: function() {
-                this.hide();
-            }
-        });
+				var cid = this.currentNodeId;
+				this.treePanel = new Ext.tree.TreePanel({
+					autoScroll:true,
+					animate:true,
+					containerScroll:true,
+					rootVisible: false,
+					root: this.root,
+					selModel: new Ext.tree.DefaultSelectionModel({
+						listeners: {
+							selectionchange : function (selectionModel, node) {
+								var message = node.text;
+								var id = node.id;
+								setMessageBoxValue(id,message);
+								dialog.hide();
+							}
+						}
+					}),
+					listeners: {
+						load: function (node) {
+							node.expand(true);
+							var filter = new Ext.tree.TreeFilter(this);
+							filter.filterBy(function(node) {
+								if(cid == node.id) return false;
+								return true;
+							});
+						}
+					}
+				});
+				this.add(this.treePanel);
+				
+				var closeButton = new Ext.Button({
+					text:'Close',
+					scope:this,
+					minWidth:75,
+					handler:this.onClose
+				});
+				this.addButton(closeButton);
+			},
+			onClose: function() {
+				this.hide();
+			}
+		});
 
-        var globalIndexId;
-        function setIndexId(indexId) {
-            globalIndexId = indexId;
-        };
+		var globalIndexId;
+		function setIndexId(indexId) {
+			globalIndexId = indexId;
+		};
 
-        function setMessageBoxValue(id, message) {
-            var messageBox = simple.findById('vchMessage'+globalIndexId); 
-            messageBox.setValue(message);
-            var objectBox = simple.findById('uidObject'+globalIndexId); 
-            objectBox.setValue(id);
-        };
+		function setMessageBoxValue(id, message) {
+			var messageBox = simple.findById('vchMessage'+globalIndexId); 
+			messageBox.setValue(message);
+			var objectBox = simple.findById('uidObject'+globalIndexId); 
+			objectBox.setValue(id);
+		};
 
-        var buildTree = function(node,str) {
+		var buildTree = function(node,str) {
 			str +=  '{'+
 					'id: "'+node.id+'",'+
 					'text: "'+node.text+'",'+
-                    'icon: "/gfx/formbuilder/grid/icon_' + node.attributes.type + '.gif",' +
+					'icon: "/gfx/formbuilder/grid/icon_' + node.attributes.type + '.gif",' +
 					'ruleCount: '+node.attributes.ruleCount+','+
-                	'dateLimit: '+node.attributes.dateLimit+','+
+					'dateLimit: '+node.attributes.dateLimit+','+
 					'type: '+node.attributes.type+','+
 					'children: [';
 					for(var ii=0; ii< node.childNodes.length; ii++) {
 						str += buildTree(node.childNodes[ii],'');
 						if(ii < (node.childNodes.length - 1))
-    						str +=',';
+							str +=',';
 					}
 					str += ']}';
 			return str;
 		};
 
-        var str = buildTree(treepanel.root, '');
+		var str = buildTree(treepanel.root, '');
 
-        var dialog = new Ext.app.UserSelectionDialog({root: eval("("+str+")"), currentNodeId: id});
+		var dialog = new Ext.app.UserSelectionDialog({root: eval("("+str+")"), currentNodeId: id});
 
 		var ruleStore = new Ext.data.JsonStore({
-                autoLoad: true,
-                fields: [{name: 'value'},{name: 'text'}],
-                root: 'data',
-                url: url,
-                baseParams : {id: id, uidEvent:uidEvent, method: 'getOptionData', query: 'validationValue'},
-                listeners: {
-                    load: function ( store, records, options) {
-                        renderForm();
-                    }
-                }
-        });
+				autoLoad: true,
+				fields: [{name: 'value'},{name: 'text'}],
+				root: 'data',
+				url: url,
+				baseParams : {id: id, uidEvent:uidEvent, method: 'getOptionData', query: 'validationValue'},
+				listeners: {
+					load: function ( store, records, options) {
+						renderForm();
+					}
+				}
+		});
 		
 		var ruleIndex = 0;
 		var actionIndex = [];
@@ -155,38 +155,38 @@
 				title: 'Form Object',
 				bodyStyle:'padding:5px 5px 0',
 				renderTo: 'xx',
-	            baseParams: { uidEvent:uidEvent, method: 'getFormBean', uidObject: id},
-	            url: url,
+				baseParams: { uidEvent:uidEvent, method: 'getFormBean', uidObject: id},
+				url: url,
 				items: [<cfif type EQ 4 OR type EQ 5>{
-	                    xtype:'fieldset',
-	                    collapsible: false,
-	                    title: '<cfoutput>#title#</cfoutput>',
-	                    collapsed : false,
-	                    autoHeight:true,
-	                    items :[{
-	                            html: '<' + 'h2 style="padding: 0px 0px 5px 0px">Text string for display:<' + '/h2>',
-	                            xtype: 'label'
-	                        },{
-	                            name: 'vchLabel',
-	                            hideLabel:true,
-	                            allowBlank:false,
-	                            width: 450,
-	                            xtype: 'textfield'
-	                        }<cfif type EQ 4>,{
-	                            html: '<' + 'h2 style="padding: 0px 0px 5px 0px">Required ?<' + '/h2>',
-	                            xtype: 'label'
-	                        },{
-	                            hideLabel:true,
-	                            allowBlank: false,
-	                            vertical: false,
-	                            width: 100,
-	                            xtype: 'radiogroup',
-	                            id: 'required',
-	                            items: [
-	                                {boxLabel: 'Yes', inputValue: 'true', name:'booRequired'},
-	                                {boxLabel: 'No', inputValue: 'false', name:'booRequired'}]
-	                        }</cfif>
-	                ]},</cfif>{
+						xtype:'fieldset',
+						collapsible: false,
+						title: '<cfoutput>#title#</cfoutput>',
+						collapsed : false,
+						autoHeight:true,
+						items :[{
+								html: '<' + 'h2 style="padding: 0px 0px 5px 0px">Text string for display:<' + '/h2>',
+								xtype: 'label'
+							},{
+								name: 'vchLabel',
+								hideLabel:true,
+								allowBlank:false,
+								width: 450,
+								xtype: 'textfield'
+							}<cfif type EQ 4>,{
+								html: '<' + 'h2 style="padding: 0px 0px 5px 0px">Required ?<' + '/h2>',
+								xtype: 'label'
+							},{
+								hideLabel:true,
+								allowBlank: false,
+								vertical: false,
+								width: 100,
+								xtype: 'radiogroup',
+								id: 'required',
+								items: [
+									{boxLabel: 'Yes', inputValue: 'true', name:'booRequired'},
+									{boxLabel: 'No', inputValue: 'false', name:'booRequired'}]
+							}</cfif>
+					]},</cfif>{
 						html: '<' + 'h2 style="padding: 0px 0px 5px 0px">Display to attendees between:<' + '/h2>',
 						xtype: 'label'
 					},{
@@ -197,7 +197,7 @@
 							layout: 'form',
 							items: [{
 								name: 'dteBegin',
-	                            format: 'Y-m-d',
+								format: 'Y-m-d',
 								hideLabel:true,
 								xtype: 'datefield'
 							}]
@@ -213,7 +213,7 @@
 							layout: 'form',
 							items: [{
 								name: 'dteEnd',
-	                            format: 'Y-m-d',
+								format: 'Y-m-d',
 								hideLabel:true,
 								xtype: 'datefield'
 							}]
@@ -225,21 +225,21 @@
 						hideLabel:true,
 						vertical: false,
 						xtype: 'checkboxgroup',
-	                    id: 'visibility',
+						id: 'visibility',
 						items: [
 							{boxLabel: 'Driver/Attendee', inputValue: "1", name:'intVisibleTo'},
 							{boxLabel: 'Instructor', inputValue: "2", name:'intVisibleTo'}]
 					},{
-	                    xtype: "hidden",
-	                    name: "rules"
-	                }
+						xtype: "hidden",
+						name: "rules"
+					}
 				],
 				tbar: [
 				{text: 'Save',handler: function() {simple.getForm().submit(onSubmit);}},
 				"-",
 				{text: 'Add Rule', handler: function() {
 					var rulePanel = new Ext.Panel(
-	                    getValidationRuleConfig('00000000-0000-0000-0000000000000000', "", ""));
+						getValidationRuleConfig('00000000-0000-0000-0000000000000000', "", ""));
 					simple.add(rulePanel);
 					simple.doLayout();
 				}}],
@@ -248,114 +248,114 @@
 				"-",
 				{text: 'Add Rule', handler: function() {
 					var rulePanel = new Ext.Panel(
-	                    getValidationRuleConfig('00000000-0000-0000-0000000000000000',"", ""));
+						getValidationRuleConfig('00000000-0000-0000-0000000000000000',"", ""));
 					simple.add(rulePanel);
 					simple.doLayout();
 				}}],
-	            listeners: {
-	                actioncomplete : function ( form , action ) {
-	                    if(action.type == "load") {
-	                    	mask.hide();
-	                        var rulesData = action.result.data.rules;
-	                        for(var ii = 0; ii< rulesData.length; ii++) {
-	                            var rulePanel = new Ext.Panel(
-	                                getValidationRuleConfig(
-	                                    rulesData[ii].uidValidation, 
-	                                    rulesData[ii].vchValidationName, 
-	                                    rulesData[ii].vchValue));
-	                            simple.add(rulePanel);
-	                            simple.doLayout();
-	                            var actionsData = rulesData[ii].ACTIONS;
-	                            if(actionsData) {
-	                                for(var jj = 0; jj< actionsData.length; jj++) {
-	                                    var objectId = actionsData[jj].uidObject;
-	                                    var message = actionsData[jj].vchMessage;
-	                                    var flag = false;
-	                                    if(objectId != '') {
-	                                        flag = true;
-	                                        var node = treepanel.getNodeById(objectId);
-	                                        if(node)
-	                                            message = node.text;
-	                                        else
-	                                            message = 'NO NODE FOUND';
-	                                    }
-	                                    var ruleAction = new Ext.Panel(
-	                                        getRuleActionConfig(
-	                                            ruleIndex, 
-	                                            actionsData[jj].uidAction, 
-	                                            actionsData[jj].booResult, 
-	                                            actionsData[jj].vchAction, 
-	                                            message, 
-	                                            objectId, 
-	                                            flag));
-	                                    rulePanel.add(ruleAction);
-	                                    rulePanel.doLayout();
-	                                }
-	                            }
-	                        }
-	                        var required = action.result.data.booRequired;
-	                        var requiredRadioGroup = form.findField('required');
-	                        if(requiredRadioGroup) {
-	                            if(required) {
-	                                requiredRadioGroup.items.get(0).setValue(true);
-	                            } else {
-	                                requiredRadioGroup.items.get(1).setValue(true);
-	                            }
-	                        }
-	                        var visibleMask = action.result.data.intVisibleTo;
-	                        var visibleCheckBoxGroup = form.findField('visibility');
-	                        if(visibleMask > 0 && visibleMask <= 1) {
-	                            visibleCheckBoxGroup.items.get(0).setValue(true);
-	                        } else if(visibleMask > 1 && visibleMask <= 2) {
-	                            visibleCheckBoxGroup.items.get(1).setValue(true);
-	                        } else if(visibleMask > 2) {
-	                            visibleCheckBoxGroup.items.get(0).setValue(true);
-	                            visibleCheckBoxGroup.items.get(1).setValue(true);
-	                        }
-	                    } 
-	                },
-	                beforeaction : function (form, action) {
-	                    if(action.type == "submit") {
-	                        var rules = [];
-	                        for(var ii = 1; ii <= ruleIndex; ii++) {
-	                            var rulePanel = simple.items.get("rule-"+ii);
-	                            if(rulePanel) {
-	                                var ruleJson = '{';
-	                                ruleJson += 'uidValidation: "' + simple.findById("uidValidation"+ii).getValue() + '"';
-	                                ruleJson += ',vchValidationName:"' + simple.findById("vchValidationName"+ii).getValue() + '"';
-	                                ruleJson += ',vchValue:"' + simple.findById("vchValue"+ii).getValue() + '"';
-	                                ruleJson += ',vchoperator: "="';
-	                                ruleJson += '}';
-	                                var rule = Ext.util.JSON.decode(ruleJson);
-	                                var actions = [];
-	                                for(var jj = 1; jj <= actionIndex[ii-1]; jj++) {
-	                                    var indexId = ii + '-' + jj;
-	                                    var actionPanel = rulePanel.items.get("action-"+indexId);
-	                                    if(actionPanel) {
-	                                        var actionJson = '{';
-	                                        actionJson += 'uidAction: "' + simple.findById("uidAction"+indexId).getValue() + '"';
-	                                        actionJson += ',uidObject:"' + simple.findById("uidObject"+indexId).getValue() + '"';
-	                                        actionJson += ',booResult:' + simple.findById("booResult"+indexId).getValue();
-	                                        actionJson += ',vchAction:"' + simple.findById("vchAction"+indexId).getValue() + '"';
-	                                        if(simple.findById("uidObject"+indexId).getValue() == '')
-	                                            actionJson += ',vchMessage:"' + simple.findById("vchMessage"+indexId).getValue() + '"';
-	                                        else
-	                                            actionJson += ',vchMessage:""';
-	                                        actionJson += '}';
-	                                        actions.push(Ext.util.JSON.decode(actionJson));
-	                                    }
-	                                }
-	                                rule.actions = actions;
-	                                rules.push(rule);
-	                            }
-	                        }
-	                        form.findField('rules').setRawValue(Ext.util.JSON.encode(rules));
-	                    }
-	                }
-	            }
+				listeners: {
+					actioncomplete : function ( form , action ) {
+						if(action.type == "load") {
+							mask.hide();
+							var rulesData = action.result.data.rules;
+							for(var ii = 0; ii< rulesData.length; ii++) {
+								var rulePanel = new Ext.Panel(
+									getValidationRuleConfig(
+										rulesData[ii].uidValidation, 
+										rulesData[ii].vchValidationName, 
+										rulesData[ii].vchValue));
+								simple.add(rulePanel);
+								simple.doLayout();
+								var actionsData = rulesData[ii].ACTIONS;
+								if(actionsData) {
+									for(var jj = 0; jj< actionsData.length; jj++) {
+										var objectId = actionsData[jj].uidObject;
+										var message = actionsData[jj].vchMessage;
+										var flag = false;
+										if(objectId != '') {
+											flag = true;
+											var node = treepanel.getNodeById(objectId);
+											if(node)
+												message = node.text;
+											else
+												message = 'NO NODE FOUND';
+										}
+										var ruleAction = new Ext.Panel(
+											getRuleActionConfig(
+												ruleIndex, 
+												actionsData[jj].uidAction, 
+												actionsData[jj].booResult, 
+												actionsData[jj].vchAction, 
+												message, 
+												objectId, 
+												flag));
+										rulePanel.add(ruleAction);
+										rulePanel.doLayout();
+									}
+								}
+							}
+							var required = action.result.data.booRequired;
+							var requiredRadioGroup = form.findField('required');
+							if(requiredRadioGroup) {
+								if(required) {
+									requiredRadioGroup.items.get(0).setValue(true);
+								} else {
+									requiredRadioGroup.items.get(1).setValue(true);
+								}
+							}
+							var visibleMask = action.result.data.intVisibleTo;
+							var visibleCheckBoxGroup = form.findField('visibility');
+							if(visibleMask > 0 && visibleMask <= 1) {
+								visibleCheckBoxGroup.items.get(0).setValue(true);
+							} else if(visibleMask > 1 && visibleMask <= 2) {
+								visibleCheckBoxGroup.items.get(1).setValue(true);
+							} else if(visibleMask > 2) {
+								visibleCheckBoxGroup.items.get(0).setValue(true);
+								visibleCheckBoxGroup.items.get(1).setValue(true);
+							}
+						} 
+					},
+					beforeaction : function (form, action) {
+						if(action.type == "submit") {
+							var rules = [];
+							for(var ii = 1; ii <= ruleIndex; ii++) {
+								var rulePanel = simple.items.get("rule-"+ii);
+								if(rulePanel) {
+									var ruleJson = '{';
+									ruleJson += 'uidValidation: "' + simple.findById("uidValidation"+ii).getValue() + '"';
+									ruleJson += ',vchValidationName:"' + simple.findById("vchValidationName"+ii).getValue() + '"';
+									ruleJson += ',vchValue:"' + simple.findById("vchValue"+ii).getValue() + '"';
+									ruleJson += ',vchoperator: "="';
+									ruleJson += '}';
+									var rule = Ext.util.JSON.decode(ruleJson);
+									var actions = [];
+									for(var jj = 1; jj <= actionIndex[ii-1]; jj++) {
+										var indexId = ii + '-' + jj;
+										var actionPanel = rulePanel.items.get("action-"+indexId);
+										if(actionPanel) {
+											var actionJson = '{';
+											actionJson += 'uidAction: "' + simple.findById("uidAction"+indexId).getValue() + '"';
+											actionJson += ',uidObject:"' + simple.findById("uidObject"+indexId).getValue() + '"';
+											actionJson += ',booResult:' + simple.findById("booResult"+indexId).getValue();
+											actionJson += ',vchAction:"' + simple.findById("vchAction"+indexId).getValue() + '"';
+											if(simple.findById("uidObject"+indexId).getValue() == '')
+												actionJson += ',vchMessage:"' + simple.findById("vchMessage"+indexId).getValue() + '"';
+											else
+												actionJson += ',vchMessage:""';
+											actionJson += '}';
+											actions.push(Ext.util.JSON.decode(actionJson));
+										}
+									}
+									rule.actions = actions;
+									rules.push(rule);
+								}
+							}
+							form.findField('rules').setRawValue(Ext.util.JSON.encode(rules));
+						}
+					}
+				}
 			});
 
-	        simple.load();
+			simple.load();
 	
 			function getValidationRuleConfig(id, condition, value) {
 				actionIndex[actionIndex.length] = 0;
@@ -367,30 +367,30 @@
 					header: true,
 					id: 'rule-' + ruleIndex,
 					items :[{
-	                    xtype: "hidden",
-	                    id: "uidValidation"+ ruleIndex,
-	                    value: id
-	                },{
+						xtype: "hidden",
+						id: "uidValidation"+ ruleIndex,
+						value: id
+					},{
 						layout:'column',
 						items:[{
 							columnWidth:.50,
 							layout: 'form',
 							items: [{
 									xtype:'combo',
-	                                store: ruleStore,
+									store: ruleStore,
 									displayField:'text',
 									valueField: 'value',
-	                                value: condition,
+									value: condition,
 									forceSelection: true,
-	                                width: 220,
-	                                listWidth : 300,
+									width: 220,
+									listWidth : 300,
 									emptyText:'Select condition ...',
 									editable:false,
 									hideLabel:true,
 									allowBlank:false,
 									lazyInit: false,
 									mode: 'local',
-	                                triggerAction: 'all',
+									triggerAction: 'all',
 									id: 'vchValidationName'+ ruleIndex
 							}]
 						},{
@@ -415,7 +415,7 @@
 									var id = this.id.substring(this.id.indexOf('-')+1);
 									var rulePanel = simple.items.get('rule-'+id); 
 									var ruleAction = new Ext.Panel(
-	                                    getRuleActionConfig(id, '00000000-0000-0000-0000000000000000', "true", "SHOWERROR", "", '', false));
+										getRuleActionConfig(id, '00000000-0000-0000-0000000000000000', "true", "SHOWERROR", "", '', false));
 									rulePanel.add(ruleAction);
 									rulePanel.doLayout();
 								}
@@ -444,89 +444,89 @@
 			function getRuleActionConfig(ruleIndex, uidAction, type, action, message, objectId, flag) {
 				ruleIndex = parseInt(ruleIndex);
 				actionIndex[ruleIndex-1]++;
-	            var indexId = ruleIndex + '-' + actionIndex[ruleIndex-1];
+				var indexId = ruleIndex + '-' + actionIndex[ruleIndex-1];
 				return {
 					autoHeight:true,
 					header: false,
 					id: 'action-' + indexId,
 					items :[{
-	                    xtype: "hidden",
-	                    id: "uidAction" + indexId,
-	                    value: uidAction
-	                },{
-	                    xtype: "hidden",
-	                    id: "uidObject" + indexId,
-	                    value: objectId
-	                },{
+						xtype: "hidden",
+						id: "uidAction" + indexId,
+						value: uidAction
+					},{
+						xtype: "hidden",
+						id: "uidObject" + indexId,
+						value: objectId
+					},{
 						layout:'column',
 						items:[{
 							columnWidth:.18,
 							layout: 'form',
-	                        labelWidth: 12,
+							labelWidth: 12,
 							items: [{
 								xtype:'combo',
 								store:['true','false'],
 								forceSelection: true,
-	                            value: type,
+								value: type,
 								emptyText:'If ...',
 								editable:false,
 								fieldLabel:'If',
 								width: 50,
 								allowBlank:false,
 								lazyInit: false,
-	                            triggerAction: 'all',
+								triggerAction: 'all',
 								mode: 'local',
-	                            id: "booResult" + indexId
+								id: "booResult" + indexId
 							}]
 						},{
 							columnWidth:.35,
 							layout: 'form',
-	                        labelWidth: 50,
+							labelWidth: 50,
 							items: [{
 								xtype:'combo',
 								store: ['AVAILABLE','UNAVAILABLE','REQUIRED','SHOWERROR'],
 								forceSelection: true,
-	                            value: action,
+								value: action,
 								emptyText:'Action is...',
 								editable:false,
 								fieldLabel:'Action is',
 								width: 100,
 								allowBlank:false,
 								lazyInit: false,
-	                            triggerAction: 'all',
+								triggerAction: 'all',
 								mode: 'local',
-	                            id: "vchAction" + indexId,
-	                            listeners: {
-	                                select: function (combo, record, index ) {
-	                                    var messageBox = simple.findById('vchMessage'+ indexId); 
-	                                    var objectBox = simple.findById('uidObject'+ indexId); 
-	                                    var popButton = simple.findById('popbutton-'+ indexId);
-	                                    if(index < 3) {
-	                                        setIndexId(indexId);
-	                                        dialog.show();
-	                                        messageBox.setValue('');
-	                                        messageBox.setDisabled(true);
-	                                        objectBox.setValue('');
-	                                        popButton.setDisabled(false);
-	                                    }
-	                                    else {
-	                                        messageBox.setValue('');
-	                                        messageBox.setDisabled(false);
-	                                        popButton.setDisabled(true);
-	                                    }
-	                                }
-	                            }
+								id: "vchAction" + indexId,
+								listeners: {
+									select: function (combo, record, index ) {
+										var messageBox = simple.findById('vchMessage'+ indexId); 
+										var objectBox = simple.findById('uidObject'+ indexId); 
+										var popButton = simple.findById('popbutton-'+ indexId);
+										if(index < 3) {
+											setIndexId(indexId);
+											dialog.show();
+											messageBox.setValue('');
+											messageBox.setDisabled(true);
+											objectBox.setValue('');
+											popButton.setDisabled(false);
+										}
+										else {
+											messageBox.setValue('');
+											messageBox.setDisabled(false);
+											popButton.setDisabled(true);
+										}
+									}
+								}
 							}]
 						},{
 							columnWidth:.30,
 							layout: 'form',
-	                        labelWidth: 5,                           
+							labelWidth: 5,						   
 							items: [{
 								xtype:'textfield',
 								width: 120,
-	                            disabled: flag,
+								disabled: flag,
 								value: message,
-	                            id: "vchMessage"+ indexId
+								id: "vchMessage"+ indexId
 							}]
 						},{
 							columnWidth:.10,
@@ -534,11 +534,11 @@
 							items: [{
 								xtype: 'button',
 								text: 'Pop', 
-	                            disabled: !flag,
+								disabled: !flag,
 								id: 'popbutton-' + indexId, 
 								handler: function() {
-	                                setIndexId(indexId);
-	                                dialog.show();
+									setIndexId(indexId);
+									dialog.show();
 								}
 							}]
 						},{
@@ -560,7 +560,7 @@
 					}]
 				}
 			};
-	    }; 
+		}; 
 	</script>
 </head>
 <body>